2019-08-21 22:24 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004936AIAIpublic2015-08-25 21:32
Reportermeriton 
Assigned Toabma 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Summary0004936: AAI crash (just after one AAI teams commander died)
DescriptionAAI moved its commander through range of the LLT, and the commander died. Just after that, spring crashed.
TagsNo tags attached.
Attached Files
  • txt file icon infolog.txt (37,771 bytes) 2015-08-23 19:59 -
    [ParseCmdLine] command-line args: "C:\Program Files\games\Spring\spring.exe "C:\Users\Adrian\AppData\Roaming\springlobby\script.txt""
    Using configuration source: "C:\Users\Adrian\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    AdvSky = 1
    CamMode = 5
    GrassDetail = 3
    GroundDetail = 40
    InputTextGeo = 0.26 0.73 0.02 0.028
    MaxNanoParticles = 2500
    MaxParticles = 1000
    ScrollWheelSpeed = -25
    Shadows = 0
    ShowPlayerInfo = 0
    SmoothLines = 0
    SmoothPoints = 0
    UnitIconDist = 10000
    VSync = -1
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 100.0
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Home Premium Edition, 64-bit (build 9200)
    Intel(R) Core(TM) i7-4770K CPU @ 3.50GHz; 16322MB RAM, 18754MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x864, 1176x664, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1366x768, 1440x900, 1600x900, 1600x1024, 1680x1050, 1768x992, 1920x1080, 2715x1527
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.5.0 NVIDIA 355.60
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 660/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 1.5.8
    Video RAM:    total 2048MB, available 1781MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: C:\Users\Adrian\Documents\My Games\Spring\
    Using read-only data directory: C:\Program Files\games\Spring\
    Scanning: C:\Program Files\games\Spring\maps
    Scanning: C:\Program Files\games\Spring\base
    Scanning: C:\Program Files\games\Spring\games
    Scanning: C:\Users\Adrian\Documents\My Games\Spring\maps
    Scanning: C:\Users\Adrian\Documents\My Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               ASUS VE278-0 (NVIDIA High Definition Audio)
    [f=0000000] [Sound]               Realtek Digital Output (Realtek High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] [StartScript] Loading StartScript from: C:\Users\Adrian\AppData\Roaming\springlobby\script.txt
    [f=0000000] Hosting on: :8452
    [f=0000000] Connecting to local server
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Brazillian_Battlefield
    [f=0000000] Binding UDP socket to IP (v6) :: port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 53 ms
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Brazillian_Battlefield
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Balanced Annihilation V9.06 (archive: 76a5494d0fcac5cc512c0f98a30cc0a5.sdp)
    [f=0000000] Recording demo to: C:\Users\Adrian\Documents\My Games\Spring\demos\20150823_194245_Brazillian_Battlefield_100.sdf
    [f=0000000] PreGame::GameDataReceived: 30 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 3, allyteam 0)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (25 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.984000
    [f=0000000] Game::LoadDefs (GameData): 1007 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 28 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 5 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 13 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 11
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 0 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 255 ms
    [f=0000000] Game::LoadInterface (Console): 1 ms
    [f=0000000] InfoTexture: shaders
    [f=0000000] Loading LuaRules
    [f=0000000] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=0000000] Loaded synced gadget:  Stats               <api_damage_stats.lua>
    [f=0000000] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded synced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=0000000] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=0000000] Loaded synced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=0000000] Loaded synced gadget:  Commander Blast     <unit_commander_blast.lua>
    [f=0000000] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=0000000] Loaded synced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=0000000] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=0000000] Loaded synced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=0000000] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded synced gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=0000000] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded synced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=0000000] Loaded synced gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded synced gadget:  Limit Dgun Use (Charge)  <unit_dgun_charge.lua>
    [f=0000000] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded synced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=0000000] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=0000000] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded synced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded synced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=0000000] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded synced gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=0000000] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=0000000] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=0000000] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded synced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=0000000] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=0000000] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded synced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=0000000] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=0000000] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded synced gadget:  mo_preventcombomb   <mo_preventcombomb.lua>
    [f=0000000] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=0000000] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=0000000] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=0000000] Loaded synced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded synced gadget:  Team Com Ends       <game_team_com_ends.lua>
    [f=0000000] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=0000000] Loaded synced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded synced gadget:  Mobile Unit Paralyze Damage Handler  <unit_paralyze_damage_limit.lua>
    [f=0000000] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded synced gadget:  Version Warning     <version_warning.lua>
    [f=0000000] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=0000000] Switching to Spring style camera
    [f=0000000] Switching to Free style camera
    [f=0000000] Switching to Rotatable overhead camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Switching to FPS style camera
    [f=0000000] Switching to Overview style camera
    [f=0000000] Loaded unsynced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded unsynced gadget:  Stats               <api_damage_stats.lua>
    [f=0000000] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded unsynced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=0000000] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded unsynced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=0000000] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded unsynced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=0000000] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded unsynced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=0000000] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded unsynced gadget:  Limit Dgun Use (Charge)  <unit_dgun_charge.lua>
    [f=0000000] Loaded unsynced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=0000000] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded unsynced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded unsynced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=0000000] Loaded unsynced gadget:  Opacity control     <api_opacity.lua>
    [f=0000000] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded unsynced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=0000000] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=0000000] Loaded unsynced gadget:  mo_ffa              <mo_ffa.lua>
    [f=0000000] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=0000000] Loaded unsynced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded unsynced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=0000000] Loaded unsynced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loaded unsynced gadget:  Version Warning     <version_warning.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] LuaUI: Allowing User Widgets
    [f=0000000] Failed to load: gui_game_type_info.lua  ([string "LuaUI/fonts.lua"]:110: attempt to call field 'MakeFont' (a nil value))
    [f=0000000] Loading widget from mod:   Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua> ...
    [f=0000000] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=0000000] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=0000000] Loading widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=0000000] Loading widget from mod:   GUI-Shader          <api_gfx_gui_shader.lua> ...
    [f=0000000] Loading widget from mod:   Shadow Quality Manager  <gfx_shadow_quality_manager.lua> ...
    [f=0000000] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=0000000] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=0000000] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=0000000] Loading widget from mod:   Snow                <gfx_snow.lua> ...
    [f=0000000] Loading widget from mod:   Commander Name Tags  <gui_com_nametags.lua> ...
    [f=0000000] Loading widget from mod:   Health Bars         <gui_healthbars.lua> ...
    [f=0000000] Loading widget from mod:   Map Info            <gui_mapinfo.lua> ...
    [f=0000000] Loading widget from mod:   Ally Resource Bars  <gui_ally_res.lua> ...
    [f=0000000] Loading widget from mod:   LockCamera          <camera_lockcamera.lua> ...
    [f=0000000] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=0000000] Loading widget from mod:   Unit Info           <gui_unit_info.lua> ...
    [f=0000000] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=0000000] Loading widget from mod:   Changelog Info      <gui_changelog_info.lua> ...
    [f=0000000] Loading widget from mod:   Keybind/Mouse Info  <gui_keybind_info.lua> ...
    [f=0000000] Loading widget from mod:   Projectile lights   <gfx_projectile_lights.lua> ...
    [f=0000000] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=0000000] Loading widget from mod:   AllyCursors         <gui_ally_cursors.lua> ...
    [f=0000000] Loading widget from mod:   Alternate Chat Keys  <cmd_old_style_chat_keys.lua> ...
    [f=0000000] Loading widget from mod:   Auto First Build Facing  <unit_autofirstbuildfacing.lua> ...
    [f=0000000] Loading widget from mod:   Autoquit            <cmd_autoquit.lua> ...
    [f=0000000] Loading widget from mod:   BA LOS colors       <gui_ba_los_colors.lua> ...
    [f=0000000] Loading widget from mod:   Auto group          <unit_auto_group.lua> ...
    [f=0000000] Loading widget from mod:   Blast Radius        <gui_blast_radius.lua> ...
    [f=0000000] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=0000000] Switching to Spring style camera
    [f=0000000] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=0000000] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=0000000] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=0000000] Loading widget from mod:   EMP + decloack range  <gui_emp_decloack_range.lua> ...
    [f=0000000] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=0000000] Loading widget from mod:   Com Counter         <gui_comcounter.lua> ...
    [f=0000000] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=0000000] Loading widget from mod:   Energy Conversion Info  <gui_energy_conversion.lua> ...
    [f=0000000] Loading widget from mod:   Group Label         <gui_group_label.lua> ...
    [f=0000000] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=0000000] Loading widget from mod:   Holdfire Fix        <cmd_holdfire_fix.lua> ...
    [f=0000000] Loading widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=0000000] Loading widget from mod:   LOS View            <gfx_los_view.lua> ...
    [f=0000000] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=0000000] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=0000000] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=0000000] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=0000000] Loading widget from mod:   Persistent Build Spacing  <cmd_persistent_build_spacing.lua> ...
    [f=0000000] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=0000000] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=0000000] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=0000000] Loading widget from mod:   Red Console         <gui_red_console.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=0000000] Loading widget from mod:   Red Resource Bars   <gui_red_resourcebars.lua> ...
    [f=0000000] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=0000000] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=0000000] Loading widget from mod:   Rejoin Progress Bar  <gui_rejoin_progress.lua> ...
    [f=0000000] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=0000000] Loading widget from mod:   SelectionButtons    <gui_selbuttons.lua> ...
    [f=0000000] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=0000000] Loading widget from mod:   Show Orders         <gui_show_orders.lua> ...
    [f=0000000] Loading widget from mod:   SmartSelect         <unit_smart_select.lua> ...
    [f=0000000] Loading widget from mod:   SmoothCam           <camera_smoothcam.lua> ...
    [f=0000000] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=0000000] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=0000000] Loading widget from mod:   Statistics Collection  <stats_damage.lua> ...
    [f=0000000] Loading widget from mod:   Stop means Stop     <cmd_stop_selfd.lua> ...
    [f=0000000] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=0000000] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=0000000] Loading widget from mod:   Unit Finished Sounds  <snd_unit_finished.lua> ...
    [f=0000000] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=0000000] Loading widget from mod:   Wind Speed          <gui_winddisplay.lua> ...
    [f=0000000] Loading widget from mod:   Passive builders v5  <unit_passive_builders.lua> ...
    [f=0000000] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=0000000] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=0000000] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=0000000] Loading widget from mod:   BA Hotkeys          <cmd_ba_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=0000000] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=0000000] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=0000000] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=0000000] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=0000000] Loading widget from mod:   Mapmarks FX         <gui_mapmarks_fx.lua> ...
    [f=0000000] Loading widget from mod:   Mouse FX            <gui_mouse_fx.lua> ...
    [f=0000000] Loading widget from mod:   Anti Ranges         <gui_anti_ranges.lua> ...
    [f=0000000] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=0000000] Loading widget from mod:   CommandInsert       <cmd_commandinsert.lua> ...
    [f=0000000] Loading widget from mod:   EnemySpotter        <gui_enemy_spotter.lua> ...
    [f=0000000] Loading widget from mod:   Given Units         <gui_given_units.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Unit      <gui_highlight_unit.lua> ...
    [f=0000000] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=0000000] Loading widget from mod:   Resurrection Halos  <gui_resurrection_halos.lua> ...
    [f=0000000] Loading widget from mod:   Self-Destruct icons  <gui_selfd_icons.lua> ...
    [f=0000000] Loading widget from mod:   Waypoint Dragger    <unit_waypoint_dragger_2.lua> ...
    [f=0000000] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=0000000] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=0000000] Loading widget from mod:   replay buttons      <gui_replaybuttons.lua> ...
    [f=0000000] replaycontrol: Not a replay, removing myself.
    [f=0000000] Loading widget from mod:   HighlightSelectedUnits  <gui_hilight_selectedunits.lua> ...
    [f=0000000] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=0000000] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=0000000] Loading widget from mod:   Lups                <gfx_lups_wrapper.lua> ...
    [f=0000000] Loading widget from mod:   CustomFormations2   <cmd_customformations2.lua> ...
    [f=0000000] Loading widget from mod:   Widget Selector     <widget_selector.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=2114839023
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=2114839047
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (24ms, checksum 337c3b3d)
    [f=0000000] Loading Skirmish AIs
    [f=0000000] <SkirmishAI: AAI 0.9 (team 0)>: New BuildTable has been created
    [f=0000000] <SkirmishAI: AAI 0.9 (team 0)>: New map-learning file created
    [f=0000000] <SkirmishAI: AAI 0.9 (team 0)>: AAI loaded
    [f=0000000] <SkirmishAI: AAI 0.9 (team 1)>: New map-learning file created
    [f=0000000] <SkirmishAI: AAI 0.9 (team 1)>: AAI loaded
    [f=0000000] <SkirmishAI: AAI 0.9 (team 2)>: New map-learning file created
    [f=0000000] <SkirmishAI: AAI 0.9 (team 2)>: AAI loaded
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: 1506da556197d6a3fa06355c2dac7d44
    [f=0000000] Connection attempt from Player
    [f=0000000]  -> Version: 100.0
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Skirmish AI "Bot1" (ID:0, Short-Name:"AAI", Version:"0.9") took over control of team 0
    [f=0000000] Skirmish AI "Bot2" (ID:1, Short-Name:"AAI", Version:"0.9") took over control of team 1
    [f=0000000] Skirmish AI "Bot3" (ID:2, Short-Name:"AAI", Version:"0.9") took over control of team 2
    [f=0000000] Player Player finished loading and is now ingame
    [f=0001927] Buildings set to face East
    [f=0003967] Skirmish AI "Bot3" (ID:2), which controlled team 2 is now dead
    [f=0003977] Error: Spring received an ABORT signal
    [f=0003977] Error: Error handler invoked for Spring 100.0.
    [f=0003977] Error: DLL information:
    [f=0003977] Error: 0x00400000	spring
    [f=0003977] Error: 0x77080000	ntdll
    [f=0003977] Error: 0x76e60000	KERNEL32
    [f=0003977] Error: 0x769e0000	KERNELBASE
    [f=0003977] Error: 0x74f40000	ADVAPI32
    [f=0003977] Error: 0x6e8e0000	GLU32
    [f=0003977] Error: 0x74bc0000	IMAGEHLP
    [f=0003977] Error: 0x76ac0000	msvcrt
    [f=0003977] Error: 0x6e260000	OPENGL32
    [f=0003977] Error: 0x75690000	SHELL32
    [f=0003977] Error: 0x750b0000	USER32
    [f=0003977] Error: 0x74190000	WINMM
    [f=0003977] Error: 0x74fc0000	WS2_32
    [f=0003977] Error: 0x10000000	DevIL
    [f=0003977] Error: 0x6b600000	OpenAL32
    [f=0003977] Error: 0x70780000	vorbisfile
    [f=0003977] Error: 0x62e80000	zlib1
    [f=0003977] Error: 0x70e40000	libfreetype-6
    [f=0003977] Error: 0x64f80000	libfontconfig-1
    [f=0003977] Error: 0x62aa0000	glew32
    [f=0003977] Error: 0x6c740000	SDL2
    [f=0003977] Error: 0x74be0000	sechost
    [f=0003977] Error: 0x75400000	RPCRT4
    [f=0003977] Error: 0x76b90000	GDI32
    [f=0003977] Error: 0x6e170000	DDRAW
    [f=0003977] Error: 0x76ca0000	combase
    [f=0003977] Error: 0x75210000	SHLWAPI
    [f=0003977] Error: 0x74160000	WINMMBASE
    [f=0003977] Error: 0x74a80000	NSI
    [f=0003977] Error: 0x73000000	MSVCP80
    [f=0003977] Error: 0x72b90000	MSVCR80
    [f=0003977] Error: 0x74a90000	ole32
    [f=0003977] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0003977] Error: 0x68140000	ogg
    [f=0003977] Error: 0x64cc0000	vorbis
    [f=0003977] Error: 0x68f40000	libexpat-1
    [f=0003977] Error: 0x74a10000	IMM32
    [f=0003977] Error: 0x75010000	OLEAUT32
    [f=0003977] Error: 0x74800000	VERSION
    [f=0003977] Error: 0x74880000	SspiCli
    [f=0003977] Error: 0x726c0000	DCIMAN32
    [f=0003977] Error: 0x76e20000	cfgmgr32
    [f=0003977] Error: 0x74760000	DEVOBJ
    [f=0003977] Error: 0x74cc0000	MSCTF
    [f=0003977] Error: 0x74870000	CRYPTBASE
    [f=0003977] Error: 0x74810000	bcryptPrimitives
    [f=0003977] Error: 0x71520000	nvapi
    [f=0003977] Error: 0x754c0000	SETUPAPI
    [f=0003977] Error: 0x73ed0000	SHCORE
    [f=0003977] Error: 0x73da0000	profapi
    [f=0003977] Error: 0x74070000	uxtheme
    [f=0003977] Error: 0x73160000	dwmapi
    [f=0003977] Error: 0x04020000	nvoglv32
    [f=0003977] Error: 0x73b10000	WTSAPI32
    [f=0003977] Error: 0x74a40000	WINTRUST
    [f=0003977] Error: 0x75270000	CRYPT32
    [f=0003977] Error: 0x74e40000	MSASN1
    [f=0003977] Error: 0x74730000	ntmarta
    [f=0003977] Error: 0x730a0000	powrprof
    [f=0003977] Error: 0x72880000	WINSTA
    [f=0003977] Error: 0x74430000	kernel.appcore
    [f=0003977] Error: 0x74c30000	clbcatq
    [f=0003977] Error: 0x730e0000	shfolder
    [f=0003977] Error: 0x72760000	MMDevApi
    [f=0003977] Error: 0x726d0000	dsound
    [f=0003977] Error: 0x725b0000	AUDIOSES
    [f=0003977] Error: 0x72570000	dinput8
    [f=0003977] Error: 0x72a80000	HID
    [f=0003977] Error: 0x72a70000	XInput1_4
    [f=0003977] Error: 0x73dc0000	mswsock
    [f=0003977] Error: 0x62b40000	AIInterface
    [f=0003977] Error: 0x6a5c0000	SkirmishAI
    [f=0003977] Error: 0x73180000	dbghelp
    [f=0003977] Error: Stacktrace for Spring 100.0:
    [f=0003977] Error: (0) C:\Program Files\games\Spring\spring.exe [0x0077F189]
    [f=0003977] Error: (1) C:\Program Files\games\Spring\spring.exe [0x0077F49B]
    [f=0003977] Error: (2) C:\Windows\SYSTEM32\msvcrt.dll(raise+0x1a3) [0x76B42D93]
    [f=0003977] Error: (3) C:\Windows\SYSTEM32\msvcrt.dll(abort+0x2c) [0x76B4636C]
    [f=0003977] Error: (4) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0x605c8) [0x6A62CB88]
    [f=0003977] Error: (5) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0x7229) [0x6A5D37E9]
    [f=0003977] Error: (6) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0x237bf) [0x6A5EFD7F]
    [f=0003977] Error: (7) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0xa880) [0x6A5D6E40]
    [f=0003977] Error: (8) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0xc40e) [0x6A5D89CE]
    [f=0003977] Error: (9) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0x13055) [0x6A5DF615]
    [f=0003977] Error: (10) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(release+0x5d7cc) [0x6A629D8C]
    [f=0003977] Error: (11) C:\Program Files\games\Spring\AI\Skirmish\AAI\0.9\SkirmishAI.dll(handleEvent+0x7c) [0x6A5CC18C]
    [f=0003977] Error: (12) C:\Program Files\games\Spring\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x5fea) [0x007B17AA]
    [f=0003977] Error: (13) C:\Program Files\games\Spring\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x2e5a) [0x007AE61A]
    [f=0003977] Error: (14) C:\Program Files\games\Spring\spring.exe(skirmishAiCallback_Cheats_setEnabled+0xa315) [0x007B5AD5]
    [f=0003977] Error: (15) C:\Program Files\games\Spring\spring.exe [0x00793B8D]
    [f=0003977] Error: (16) C:\Program Files\games\Spring\spring.exe [0x0042593C]
    [f=0003977] Error: (17) C:\Program Files\games\Spring\spring.exe [0x004FB2D2]
    [f=0003977] Error: (18) C:\Program Files\games\Spring\spring.exe [0x0042FB1D]
    [f=0003977] Error: (19) C:\Program Files\games\Spring\spring.exe [0x00738F0E]
    [f=0003977] Error: (20) C:\Program Files\games\Spring\spring.exe [0x00740169]
    [f=0003977] Error: (21) C:\Program Files\games\Spring\spring.exe [0x00719486]
    [f=0003977] Error: (22) C:\Program Files\games\Spring\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x508c04) [0x00CB43C4]
    [f=0003977] Error: (23) C:\Program Files\games\Spring\spring.exe [0x00401402]
    [f=0003977] Error: (24) C:\Windows\SYSTEM32\KERNEL32.DLL(BaseThreadInitThunk+0x24) [0x76E77C04]
    [f=0003977] Error: (25) C:\Windows\SYSTEM32\ntdll.dll(RtlInitializeExceptionChain+0x8f) [0x770DAD1F]
    [f=0003977] Error: (26) C:\Windows\SYSTEM32\ntdll.dll(RtlInitializeExceptionChain+0x5a) [0x770DACEA]
    [f=0003977] Error: [ErrorMessageBox][1] msg="Abort / abnormal termination" IsMainThread()=1 fromMain=0
    [f=0003977] Error: [ErrorMessageBox][2]
    [f=0003977] [SpringApp::ShutDown][1]
    [f=0003977] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0003977] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0003977] [SpringApp::ShutDown][2]
    [f=0003977] [KillLua][1]
    [f=0003977] [KillLua][2]
    [f=0003977] [KillLua][3]
    [f=0003977] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0003977] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0003977] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=0003977] [KillLua][4]
    [f=0003977] [~CGame]1]
    [f=0003977] [KillLua][1]
    [f=0003977] [KillLua][2]
    [f=0003977] [KillLua][3]
    [f=0003977] [KillLua][4]
    [f=0003977] [KillMisc][1]
    [f=0003977] [KillMisc][2]
    
    txt file icon infolog.txt (37,771 bytes) 2015-08-23 19:59 +
  • txt file icon _script.txt (1,733 bytes) 2015-08-23 20:08 -
    [game]
    {
    [ai0]
    {
    [options]
    {
    }
    host=3;
    isfromdemo=0;
    name=Bot1;
    shortname=AAI;
    team=0;
    version=0.9;
    }
    [ai1]
    {
    [options]
    {
    }
    host=3;
    isfromdemo=0;
    name=Bot2;
    shortname=AAI;
    team=1;
    version=0.9;
    }
    [ai2]
    {
    [options]
    {
    }
    host=3;
    isfromdemo=0;
    name=Bot3;
    shortname=AAI;
    team=2;
    version=0.9;
    }
    [allyteam0]
    {
    numallies=0;
    }
    [allyteam1]
    {
    numallies=0;
    }
    [allyteam2]
    {
    numallies=0;
    }
    [allyteam3]
    {
    numallies=0;
    }
    [mapoptions]
    {
    }
    [modoptions]
    {
    deathmode=com;
    disablemapdamage=0;
    fixedallies=1;
    maxspeed=3;
    maxunits=500;
    minspeed=0.3;
    mo_armageddontime=0;
    mo_comgate=0;
    mo_coop=0;
    mo_enemycomcount=0;
    mo_ffa=0;
    mo_newbie_placer=0;
    mo_no_close_spawns=1;
    mo_preventcombomb=0;
    mo_transportenemy=none;
    pathfinder=normal;
    relayhoststartpostype=3;
    shareddynamicalliancevictory=0;
    startenergy=1000;
    startmetal=1000;
    }
    [player3]
    {
    countrycode=;
    isfromdemo=0;
    name=Player;
    rank=0;
    spectator=0;
    team=3;
    }
    [restrict]
    {
    }
    [team0]
    {
    allyteam=1;
    handicap=10;
    rgbcolor=0.976471 1 0;
    side=ARM;
    startposx=3500;
    startposz=2800;
    teamleader=3;
    }
    [team1]
    {
    allyteam=2;
    handicap=10;
    rgbcolor=0.509804 0.498039 1;
    side=ARM;
    startposx=3400;
    startposz=750;
    teamleader=3;
    }
    [team2]
    {
    allyteam=3;
    handicap=10;
    rgbcolor=1 0 0.478431;
    side=ARM;
    startposx=750;
    startposz=3000;
    teamleader=3;
    }
    [team3]
    {
    allyteam=0;
    handicap=0;
    rgbcolor=0 1 1;
    side=ARM;
    startposx=630;
    startposz=1610;
    teamleader=3;
    }
    gametype=Balanced Annihilation V9.06;
    hostip=;
    hostport=8452;
    ishost=1;
    maphash=2367853826;
    mapname=Brazillian_Battlefield;
    modhash=225128794;
    myplayername=Player;
    numplayers=1;
    numrestrictions=0;
    numusers=4;
    startpostype=3;
    }
    
    txt file icon _script.txt (1,733 bytes) 2015-08-23 20:08 +

-Relationships
+Relationships

-Notes

~0015085

meriton (reporter)

Translated stacktrace confirm the crash occurred in AAI:
http://paste.springfiles.com/view/403d09d1

~0015086

meriton (reporter)

I'd have attached the demo file, but it was empty (0 bytes). Hopefully the stacktrace is enough to locate the issue ...

~0015087

meriton (reporter)

I tried again with the same script, and it crashed again, with the same stacktrace.

Here go reproduction steps:
0. Start game
1. Do nothing for a minute - the AAI commander approaches from the south and starts building a factory.
2. Build an LLT outside his attack range, that can attack him.
3. Wait until commander dies to the LLT
4. See Spring crashing

~0015088

meriton (reporter)

And tried again, and again Spring crashed after showing the nuclear explosion. We can probably consider this bug reproducible. (I'd edit the issue description, but don't see an edit link in Mantis. Am I blind or am I lacking permissions?)

~0015089

abma (administrator)

(gdb) bt
#0 AAIConfig::getUniqueName (this=0x1a31000, game=game@entry=true,
    gamehash=gamehash@entry=true, map=map@entry=true,
    maphash=maphash@entry=true) at AI/Skirmish/AAI/AAIConfig.cpp:521
#1 0x00007fffe2b3a9be in AAIBuildTable::GetBuildCacheFileName (
    this=this@entry=0x1f10e40) at AI/Skirmish/AAI/AAIBuildTable.cpp:2497
#2 0x00007fffe2b3ac83 in AAIBuildTable::SaveBuildTable (this=0x1f10e40,
    game_period=0, map_type=map_type@entry=LAND_MAP)
    at AI/Skirmish/AAI/AAIBuildTable.cpp:2658
0000003 0x00007fffe2b2dcee in AAI::~AAI (this=this@entry=0x1f10d00,
    __in_chrg=<optimized out>) at AI/Skirmish/AAI/AAI.cpp:119
0000004 0x00007fffe2b2e029 in AAI::~AAI (this=0x1f10d00, __in_chrg=<optimized out>)
    at AI/Skirmish/AAI/AAI.cpp:145
0000005 0x00007fffe2b6a380 in springLegacyAI::CAIAI::~CAIAI (
    this=this@entry=0x36c8520, __in_chrg=<optimized out>)
    at AI/Wrappers/LegacyCpp/AIAI.cpp:15
#6 0x00007fffe2b6a3b9 in springLegacyAI::CAIAI::~CAIAI (this=0x36c8520,
    __in_chrg=<optimized out>) at AI/Wrappers/LegacyCpp/AIAI.cpp:20
#7 0x00007fffe2b69a7b in release (skirmishAIId=0)
    at AI/Skirmish/AAI/AIExport.cpp:82
#8 0x0000000000877695 in CSkirmishAILibrary::Release (this=<optimized out>,
    skirmishAIId=0) at rts/ExternalAI/SkirmishAILibrary.cpp:77
#9 0x0000000000870adb in CSkirmishAI::~CSkirmishAI (this=0x4b15270,
    __in_chrg=<optimized out>) at rts/ExternalAI/SkirmishAI.cpp:36
---Type <return> to continue, or q <return> to quit---
0000010 0x000000000087c501 in CSkirmishAIWrapper::~CSkirmishAIWrapper (
    this=this@entry=0x1c85e00, __in_chrg=<optimized out>)
    at rts/ExternalAI/SkirmishAIWrapper.cpp:107
#11 0x000000000087c5e9 in CSkirmishAIWrapper::~CSkirmishAIWrapper (
    this=0x1c85e00, __in_chrg=<optimized out>)
    at rts/ExternalAI/SkirmishAIWrapper.cpp:119
0000012 0x000000000085b420 in CEngineOutHandler::DestroySkirmishAI (
    this=<optimized out>, skirmishAIId=skirmishAIId@entry=0)
    at rts/ExternalAI/EngineOutHandler.cpp:656
0000013 0x00000000005b6194 in CGame::ClientReadNet (this=this@entry=0x1a96a00)
    at rts/Net/NetCommands.cpp:1122
0000014 0x00000000004d23b0 in CGame::Update (this=0x1a96a00)
    at rts/Game/Game.cpp:1005
#15 0x00000000007eb3e8 in SpringApp::Update (this=this@entry=0x7fffffffe130)
    at rts/System/SpringApp.cpp:942
#16 0x00000000007f1818 in SpringApp::Run (this=this@entry=0x7fffffffe130)
    at rts/System/SpringApp.cpp:978
#17 0x00000000007c71f8 in Run (argc=argc@entry=2,
    argv=argv@entry=0x7fffffffe418) at rts/System/Main.cpp:48
#18 0x000000000046d02a in main (argc=2, argv=0x7fffffffe418)
    at rts/System/Main.cpp:107

~0015090

abma (administrator)

Fix ef6f1e91075d094f0ca70308da028d29e7a95792 committed to develop branch: fix 0004936

crash in AAI: don't use already deleted ai instance, repo: spring changeset id: 5505

~0015091

abma (administrator)

thanks for reporting!
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-08-23 19:59 meriton New Issue
2015-08-23 19:59 meriton File Added: infolog.txt
2015-08-23 20:01 meriton Note Added: 0015085
2015-08-23 20:03 meriton Note Added: 0015086
2015-08-23 20:08 meriton File Added: _script.txt
2015-08-23 20:13 meriton Note Added: 0015087
2015-08-23 20:19 meriton Note Added: 0015088
2015-08-24 09:21 abma Note Added: 0015089
2015-08-25 21:32 abma Changeset attached => spring develop ef6f1e91
2015-08-25 21:32 abma Note Added: 0015090
2015-08-25 21:32 abma Assigned To => abma
2015-08-25 21:32 abma Status new => resolved
2015-08-25 21:32 abma Resolution open => fixed
2015-08-25 21:32 abma Note Added: 0015091
+Issue History